Bug 966649 - multiple definition of `__glewXGetVideoSyncSGI' and others when compiling bino
multiple definition of `__glewXGetVideoSyncSGI' and others when compiling bino
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glew (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 11:35 EDT by Jaroslav Škarvada
Modified: 2014-02-05 16:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:30:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bootstrapped upstream patch (524 bytes, patch)
2013-05-23 11:37 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Jaroslav Škarvada 2013-05-23 11:35:37 EDT
Description of problem:
This seems to be an regression probably since glew-1.8.

Upstream ticket: http://sourceforge.net/p/glew/bugs/192/

Upstream commit fixing the problem: http://sourceforge.net/p/glew/code/ci/6d14805de58321e8a7b1881323e604bb0ba27217/tree/auto/src/glxew_mid.h?diff=38a3d857549e7ac31b7edb2a1cfa1ead52f72220

Version-Release number of selected component (if applicable):
glew-1.9.0-3

How reproducible:
Always

Steps to Reproduce:
1. Compile bino

Actual results:
It fails

Expected results:
Clean compilation

Additional info:
The upstream patch cannot be directly applied to the fedora sources, it needs to be bootstrapped.
Comment 2 Jaroslav Škarvada 2013-05-23 11:37:47 EDT
Created attachment 752268 [details]
Bootstrapped upstream patch
Comment 3 Fedora End Of Life 2013-12-21 08:41:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:30:35 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.